// $$workspace_ifile$$.cpp : implementation of the $$WORKSPACEBAR_CLASS$$ class
//

#include "stdafx.h"
#include "$$root$$.h"
#include "$$workspace_hfile$$.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// $$WORKSPACEBAR_CLASS$$

BEGIN_MESSAGE_MAP($$WORKSPACEBAR_CLASS$$, CBCGSizingControlBar)
	//{{AFX_MSG_MAP($$WORKSPACEBAR_CLASS$$)
	ON_WM_CREATE()
	ON_WM_SIZE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// $$WORKSPACEBAR_CLASS$$ construction/destruction

$$WORKSPACEBAR_CLASS$$::$$WORKSPACEBAR_CLASS$$()
{
$$IF(VERBOSE)
	// TODO: add one-time construction code here

$$ENDIF
}

$$WORKSPACEBAR_CLASS$$::~$$WORKSPACEBAR_CLASS$$()
{
}

/////////////////////////////////////////////////////////////////////////////
// $$WORKSPACEBAR_CLASS$$ message handlers

int $$WORKSPACEBAR_CLASS$$::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CBCGSizingControlBar::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	CRect rectDummy;
	rectDummy.SetRectEmpty ();

	// Create tabs window:
	if (!m_wndTabs.Create (CBCGTabWnd::STYLE_3D, rectDummy, this, 1))
	{
		TRACE0("Failed to create workspace tab window\n");
		return -1;      // fail to create
	}

	m_wndTabs.SetImageList (IDB_WORKSPACE, 16, RGB (255, 0, 255));

$$IF(VERBOSE)
	// Create tree windows.
	// TODO: create your own tab windows here:
$$ENDIF
	const DWORD dwViewStyle =	WS_CHILD | WS_VISIBLE | TVS_HASLINES | 
								TVS_LINESATROOT | TVS_HASBUTTONS;
	
	if (!m_wndTree1.Create (dwViewStyle, rectDummy, &m_wndTabs, 2) ||
		!m_wndTree2.Create (dwViewStyle, rectDummy, &m_wndTabs, 3))
	{
		TRACE0("Failed to create workspace view\n");
		return -1;      // fail to create
	}

$$IF(VERBOSE)
	// Setup trees content:
$$ENDIF
	HTREEITEM hRoot1 = m_wndTree1.InsertItem (_T("Root 1"));
	m_wndTree1.InsertItem (_T("Item 1"), hRoot1);
	m_wndTree1.InsertItem (_T("Item 2"), hRoot1);

	HTREEITEM hRoot2 = m_wndTree2.InsertItem (_T("Root 2"));
	m_wndTree2.InsertItem (_T("Item 1"), hRoot2);
	m_wndTree2.InsertItem (_T("Item 2"), hRoot2);

$$IF(VERBOSE)
	// Attach tree windows to tab:
$$ENDIF
	m_wndTabs.AddTab (&m_wndTree1, _T("First View"), 0 /* Image number */);
	m_wndTabs.AddTab (&m_wndTree2, _T("Second View"), 1 /* Image number */);

	return 0;
}

void $$WORKSPACEBAR_CLASS$$::OnSize(UINT nType, int cx, int cy) 
{
	CBCGSizingControlBar::OnSize(nType, cx, cy);

$$IF(VERBOSE)
	// Tab control should cover a whole client area:
$$ENDIF
	m_wndTabs.SetWindowPos (NULL, -1, -1, cx, cy,
		SWP_NOMOVE | SWP_NOACTIVATE | SWP_NOZORDER);
}

